#ifndef RESULTDISPATCHER_H
#define RESULTDISPATCHER_H

#include "Result.h"

typedef struct
{
  BOOL  bDispatchActive;
} ResultDispatcher;

ResultDispatcher* ResultDispatcher_Construct(ResultDispatcher* pThis);

void ResultDispatcher_Destruct(ResultDispatcher* pThis);

int ResultDispatcher_Dispatch(ResultDispatcher* pThis, Result* pResult);

#endif
